package com.apobates.forum.utils.persistence;

import java.io.Serializable;

/**
 * DAORepository分页查询参数类型
 *
 * @author xiaofanku
 * @since 20200510
 */
public interface Pageable extends Serializable {
    /**
     * 记录的起始位(pageNumber-1) * pageSize
     *
     * @return
     */
    int getOffset();
    
    /**
     * 当前页码值
     *
     * @return
     */
    int getPageNumber();
    
    /**
     * 每页显示的数量
     *
     * @return
     */
    int getPageSize();
}